
# Changelog
All notable changes to 'byjove' will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [0.1.7] - 2020-02-26
### Changed
- Consolidate some perm check logic.
- Make sure we never ask for page 0 when fetching model index data.
- Tweak how/when Edit and Delete buttons are shown for model-crud.

## [0.1.6] - 2020-02-21
### Changed
- Add page-content-wrapper to main app template.
- Add icons to nav header buttons.
- Let caller control whether Login and Feedback menu items are shown.
- Let caller control whether app footer is shown.
- Stop including Home link in menu.
- Remove some redirect magic, for logged-in users.
- Add `session_established` flag in global store.
- Delay showing the app until user info is fetched.
- Add `ByjovePlugin` for sake of `$hasPerm()` method.
- Add `user_is_admin` flag to app store, plus logic to set/clear it.
- Change aria-role (to "menu") for main user menu.
- Add proper logout logic to menu; let caller hide root options, about link.
- Update permissions when logging in user.

## [0.1.5] - 2019-12-04
### Changed
- Fix bug when checking user session.

## [0.1.4] - 2019-12-02
### Added
- Add app/menu support for "become / stop being root" feature.
### Changed
- Absorb header, footer into main section of feedback dialog.

## [0.1.3] - 2019-11-15
### Added
- Add "model index" component.
- Add "model crud" component.
- Add basic autocomplete component.
### Changed
- Cleanup global state logic a bit, for current user and permissions.
- Assign background color, if specified by API.

## [0.1.2] - 2019-11-06
### Added
- Hopefully include dist files in npm package build.

## [0.1.1] - 2019-11-06
### Added
- Another test release.

## [0.1.0] - 2019-11-06
### Added
- Initial release, mostly for sake of testing release itself.
